> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creditriskmonitor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Portfolio Businesses within a Folder for the current user

> Retrieves all businesses within a folder for the current user.

<Note>
  Use the [**<u>Login</u>**<u> endpoint</u>](/api-reference/user/logs-a-user-in) to retrieve the **`SessionKey`**, then include it in the **Authorization** field for authentication.
</Note>


## OpenAPI

````yaml get /v1/Portfolio/Folders/{FolderId}
openapi: 3.0.0
info:
  version: v2
  title: Credit Risk Monitor API
servers:
  - url: https://api.creditriskmonitor.com
security: []
paths:
  /v1/Portfolio/Folders/{FolderId}:
    get:
      tags:
        - Portfolio
      summary: Gets the Businesses in a Folder
      operationId: Portfolio_GetBusinessesFromFolder
      parameters:
        - name: FolderId
          in: path
          description: Id of the Folder to get Businesses for
          required: true
          schema:
            format: int32
            type: integer
        - name: FirstRow
          in: query
          description: First row to return
          required: false
          schema:
            format: int32
            type: integer
        - name: LastRow
          in: query
          description: Last row to return
          required: false
          schema:
            format: int32
            type: integer
        - name: FromDate
          in: query
          description: >-
            Results will only include Businesses that have had changes since
            this date. Leave NULL to return all Businesses.
          required: false
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIPortfolioBusinessCollection_
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIPortfolioBusinessCollection_
            text/html:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIPortfolioBusinessCollection_
            application/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIPortfolioBusinessCollection_
            text/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APIPortfolioBusinessCollection_
      security:
        - Bearer: []
components:
  schemas:
    APIResponseContainer_APIPortfolioBusinessCollection_:
      description: ''
      type: object
      properties:
        Success:
          description: ''
          type: boolean
        Data:
          description: ''
          type: array
          items:
            $ref: '#/components/schemas/APIPortfolioBusiness'
        ErrorCode:
          description: ''
          type: string
    APIPortfolioBusiness:
      description: ''
      type: object
      properties:
        BusinessId:
          format: int32
          description: Id of the Business
          type: integer
        BusinessName:
          description: Name of the Business
          type: string
        FRISKScore:
          format: int32
          description: FRISKScore for the Business
          type: integer
        FRISKLastChangeDate:
          format: date-time
          description: Date when the FRISKScore last changed
          type: string
        ZScore:
          format: double
          description: Altman Z-score for the Business
          type: number
        ZScoreLastChangeDate:
          format: date-time
          description: Date when the ZScore was last changed
          type: string
        DBTIndex:
          format: int32
          description: Days Beyond Terms Index of the Business
          type: integer
        PAYCEScore:
          format: int32
          description: PAYCE Score for the Business
          type: integer
        PAYCELastChangeDate:
          format: date-time
          description: Date when the PAYCEScore last changed
          type: string
        LatestStatementDate:
          format: date-time
          description: Latest Statement Date
          type: string
        CurrentFiscalYear:
          format: int32
          description: Current Fiscal Year
          type: integer
        CurrentFiscalQuarter:
          format: int32
          description: Current Fiscal Quarter
          type: integer
        FinancialsLastChangeDate:
          format: date-time
          description: Date when the Financials were last changed
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: >-
        Enter the Session Key with the `Bearer ` prefix, e.g. "Bearer
        abcde12345".

````